libmwaw::PrinterJob Struct Reference

Internal: structure used to keep a printer job. More...

## Public Member Functions

bool | read (MWAWInputStreamPtr input)
| read data from file

## Protected Attributes

int | m_firstPage
| first page
int | m_lastPage
| last page
int | m_copies
| number of copies
int | m_jobDocLoop
| printing method: draft or defered
int | m_fileVol
| volume reference number
int | m_fileVers
| version of spool file
int | m_fromUser
| reserved

## Friends

std::ostream & | operator<< (std::ostream &o, PrinterJob const &r)
| operator<<

## Detailed Description

Internal: structure used to keep a printer job.

## Member Function Documentation

## read()

bool libmwaw::PrinterJob::read | ( | MWAWInputStreamPtr | input | ) |

inline

read data from file

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | PrinterJob const & | r )

friend

operator<<

## Member Data Documentation

## m_copies

int libmwaw::PrinterJob::m_copies

protected

number of copies

Referenced by operator<<, and read().

## m_fileVers

int libmwaw::PrinterJob::m_fileVers

protected

version of spool file

Referenced by operator<<, and read().

## m_fileVol

int libmwaw::PrinterJob::m_fileVol

protected

volume reference number

Referenced by operator<<, and read().

## m_firstPage

int libmwaw::PrinterJob::m_firstPage

protected

first page

Referenced by operator<<, and read().

## m_fromUser

int libmwaw::PrinterJob::m_fromUser

protected

reserved

Referenced by read().

## m_jobDocLoop

int libmwaw::PrinterJob::m_jobDocLoop

protected

printing method: draft or defered

Referenced by read().

## m_lastPage

int libmwaw::PrinterJob::m_lastPage

protected

last page

Referenced by operator<<, and read().

The documentation for this struct was generated from the following file:

- MWAWPrinter.cxx